Package ru.bitel.bgbilling.kernel.event.events

# Class ContractParamChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractParamChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ContractParamChangedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - Изменен параметр договора.
Вызывается после изменения параметра договора.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractParamChangedEvent()`
  ``
  `ContractParamChangedEvent(int userId, int contractId, int paramId, Object value)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityAttr`
  `getEntityAttr()`
  Возвращает значение параметра договора.
  `int`
  `getParamId()`
  Возвращает код параметра договора.
  `Object`
  `getValue()`
  Возвращает значение параметра договора.
  В зависимости от типа параметра договора значение может принимать следующие типы: `Integer` `String` `Boolean` `ContractAddressParamValue` `ContractEmailParamValue` `Date` `PhoneParamValue`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractParamChangedEvent

    protected ContractParamChangedEvent()

  - ### ContractParamChangedEvent

    public ContractParamChangedEvent(int userId, int contractId, int paramId, Object value)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие.
      `contractId` - - id договора
      `paramId` - - id параметра договора
      `value` - - значение параметра договора

- ## Method Details

  - ### getParamId

    public int getParamId()
    Возвращает код параметра договора.
    Returns:
      paramId - id параметра

  - ### getValue

    public Object getValue()
    Возвращает значение параметра договора.
    В зависимости от типа параметра договора значение может принимать следующие типы:
    - `Integer`
    - `String`
    - `Boolean`
    - `ContractAddressParamValue`
    - `ContractEmailParamValue`
    - `Date`
    - `PhoneParamValue`
    Returns:
      value - значение параметра

  - ### getEntityAttr

    public EntityAttr getEntityAttr()
    Возвращает значение параметра договора.